<?php
/* Mantenimiento de los registros de la tabla ALM_Lote redefinidos por el usaurio */
class ALM_LoteDP extends BaseALM_LoteDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdLote ) IS NULL, 1, MAX( IdLote ) + 1 ) i_Id  FROM ALM_Lote ";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        return $i_Id;
    }
}
?>